# BlisBranchStrategyRel Class Reference

Blis branching strategy default class This class implements a simple default algorithm, betterBranchObject(), for choosing a branching variable. More...

`#include <BlisBranchStrategyRel.h>`

Inheritance diagram for BlisBranchStrategyRel:
[legend]
Collaboration diagram for BlisBranchStrategyRel:
[legend]

List of all members.

## Public Member Functions
| BlisBranchStrategyRel ()
| Default Constructor.
| BlisBranchStrategyRel (BlisModel *model, int rel)
| Useful Constructor.
virtual | ~BlisBranchStrategyRel ()
| Destructor.
| BlisBranchStrategyRel (const BlisBranchStrategyRel &)
| Copy constructor.
void | setRelibility (int rel)
| Set relibility.
virtual BcpsBranchStrategy * | clone () const
| Clone a brancing strategy.
virtual int | betterBranchObject (BcpsBranchObject *thisOne, BcpsBranchObject *bestSoFar)
| Compare branching object thisOne to bestSoFar.
int | createCandBranchObjects (int numPassesLeft)
| Create a set of candidate branching objects.
| BlisBranchStrategyRel ()
| Default Constructor.
| BlisBranchStrategyRel (BlisModel *model, int rel)
| Useful Constructor.
virtual | ~BlisBranchStrategyRel ()
| Destructor.
| BlisBranchStrategyRel (const BlisBranchStrategyRel &)
| Copy constructor.
void | setRelibility (int rel)
| Set relibility.
virtual BcpsBranchStrategy * | clone () const
| Clone a brancing strategy.
virtual int | betterBranchObject (BcpsBranchObject *thisOne, BcpsBranchObject *bestSoFar)
| Compare branching object thisOne to bestSoFar.
int | createCandBranchObjects (int numPassesLeft, double ub)
| Create a set of candidate branching objects.
## Private Member Functions
BlisBranchStrategyRel & | operator= (const BlisBranchStrategyRel &rhs)
| Illegal Assignment operator.
BlisBranchStrategyRel & | operator= (const BlisBranchStrategyRel &rhs)
| Illegal Assignment operator.
## Private Attributes
int | relibility_

## Detailed Description

Blis branching strategy default class This class implements a simple default algorithm, betterBranchObject(), for choosing a branching variable.

Blis branching strategy.

This class implements reliability branching.

Definition at line 41 of file BlisBranchStrategyRel.h.

## Constructor & Destructor Documentation

BlisBranchStrategyRel::BlisBranchStrategyRel | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 52 of file BlisBranchStrategyRel.h.

BlisBranchStrategyRel::BlisBranchStrategyRel | ( | BlisModel * | model,
|  | int | rel |
| ) |  |  | `[inline]`

Useful Constructor.

Definition at line 55 of file BlisBranchStrategyRel.h.

virtual BlisBranchStrategyRel::~BlisBranchStrategyRel | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 62 of file BlisBranchStrategyRel.h.

BlisBranchStrategyRel::BlisBranchStrategyRel | ( | const BlisBranchStrategyRel & |  | ) |

Copy constructor.

BlisBranchStrategyRel::BlisBranchStrategyRel | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 51 of file BlisBranchStrategyRel.h.

BlisBranchStrategyRel::BlisBranchStrategyRel | ( | BlisModel * | model,
|  | int | rel |
| ) |  |  | `[inline]`

Useful Constructor.

Definition at line 57 of file BlisBranchStrategyRel.h.

virtual BlisBranchStrategyRel::~BlisBranchStrategyRel | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 64 of file BlisBranchStrategyRel.h.

BlisBranchStrategyRel::BlisBranchStrategyRel | ( | const BlisBranchStrategyRel & |  | ) |

Copy constructor.

## Member Function Documentation

BlisBranchStrategyRel& BlisBranchStrategyRel::operator= | ( | const BlisBranchStrategyRel & | rhs | ) | `[private]`

Illegal Assignment operator.

Reimplemented from BcpsBranchStrategy.

void BlisBranchStrategyRel::setRelibility | ( | int | rel | ) | `[inline]`

Set relibility.

Definition at line 68 of file BlisBranchStrategyRel.h.

virtual BcpsBranchStrategy* BlisBranchStrategyRel::clone | ( |  | ) | const`[inline, virtual]`

Clone a brancing strategy.

Implements BcpsBranchStrategy.

Definition at line 71 of file BlisBranchStrategyRel.h.

virtual int BlisBranchStrategyRel::betterBranchObject | ( | BcpsBranchObject * | thisOne,
|  | BcpsBranchObject * | bestSoFar |
| ) |  |  | `[virtual]`

Compare branching object thisOne to bestSoFar.

If thisOne is better than bestObject, return branching direction(1 or -1), otherwise return 0. If bestSorFar is NULL, then always return branching direction(1 or -1).

Implements BcpsBranchStrategy.

int BlisBranchStrategyRel::createCandBranchObjects | ( | int | numPassesLeft | ) |

Create a set of candidate branching objects.

BlisBranchStrategyRel& BlisBranchStrategyRel::operator= | ( | const BlisBranchStrategyRel & | rhs | ) | `[private]`

Illegal Assignment operator.

Reimplemented from BcpsBranchStrategy.

void BlisBranchStrategyRel::setRelibility | ( | int | rel | ) | `[inline]`

Set relibility.

Definition at line 70 of file BlisBranchStrategyRel.h.

virtual BcpsBranchStrategy* BlisBranchStrategyRel::clone | ( |  | ) | const`[inline, virtual]`

Clone a brancing strategy.

Implements BcpsBranchStrategy.

Definition at line 73 of file BlisBranchStrategyRel.h.

virtual int BlisBranchStrategyRel::betterBranchObject | ( | BcpsBranchObject * | thisOne,
|  | BcpsBranchObject * | bestSoFar |
| ) |  |  | `[virtual]`

Compare branching object thisOne to bestSoFar.

If thisOne is better than bestObject, return branching direction(1 or -1), otherwise return 0. If bestSorFar is NULL, then always return branching direction(1 or -1).

Implements BcpsBranchStrategy.

int BlisBranchStrategyRel::createCandBranchObjects | ( | int | numPassesLeft,
|  | double | ub |
| ) |  |  | `[virtual]`

Create a set of candidate branching objects.

Reimplemented from BcpsBranchStrategy.

## Member Data Documentation

int BlisBranchStrategyRel::relibility_`[private]`

Definition at line 47 of file BlisBranchStrategyRel.h.

The documentation for this class was generated from the following files:

- /home/coin/svn-release/Blis-0.93.10/Bcps/examples/Blis/BlisBranchStrategyRel.h
- /home/coin/svn-release/Blis-0.93.10/Blis/src/BlisBranchStrategyRel.h